"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_playroomState_cjs = require("../../playroom/playroomState.cjs");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_Autosuggest_Autosuggest_cjs = require("./Autosuggest.cjs");
function Autosuggest({
  id,
  stateName,
  value,
  onChange,
  onClear,
  ...restProps
}) {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const blankValue = { text: "" };
  const [state, handleChange] = lib_playroom_playroomState_cjs.useFallbackState(
    stateName,
    value,
    onChange,
    blankValue
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Autosuggest_Autosuggest_cjs.Autosuggest,
    {
      id: id ?? fallbackId,
      value: state,
      onChange: handleChange,
      onClear: () => {
        handleChange(blankValue);
        onClear == null ? void 0 : onClear();
      },
      ...restProps
    }
  );
}
exports.Autosuggest = Autosuggest;
