"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_private_InlineField_InlineField_cjs = require("../private/InlineField/InlineField.cjs");
const lib_components_Checkbox_resolveCheckedGroup_cjs = require("./resolveCheckedGroup.cjs");
const Checkbox = React.forwardRef(
  ({ checked, ...restProps }, ref) => {
    const calculatedChecked = Array.isArray(checked) ? lib_components_Checkbox_resolveCheckedGroup_cjs.resolveCheckedGroup(checked) : checked;
    return /* @__PURE__ */ jsxRuntime.jsx(
      lib_components_private_InlineField_InlineField_cjs.InlineField,
      {
        ...restProps,
        checked: calculatedChecked,
        type: "checkbox",
        ref
      }
    );
  }
);
Checkbox.displayName = "Checkbox";
exports.Checkbox = Checkbox;
