"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_private_InlineField_StyledInput_cjs = require("../private/InlineField/StyledInput.cjs");
const lib_components_Text_TextContext_cjs = require("../Text/TextContext.cjs");
const lib_components_Checkbox_resolveCheckedGroup_cjs = require("./resolveCheckedGroup.cjs");
const CheckboxStandalone = React.forwardRef(({ checked, ...restProps }, ref) => {
  const calculatedChecked = Array.isArray(checked) ? lib_components_Checkbox_resolveCheckedGroup_cjs.resolveCheckedGroup(checked) : checked;
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { position: "relative", children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_Text_TextContext_cjs.TextContext.Provider, { value: null, children: /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_private_InlineField_StyledInput_cjs.StyledInput,
    {
      ...restProps,
      checked: calculatedChecked,
      type: "checkbox",
      ref
    }
  ) }) });
});
exports.CheckboxStandalone = CheckboxStandalone;
