"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_ContentBlock_ContentBlock_css_cjs = require("./ContentBlock.css.cjs");
const ContentBlock = ({
  width = "medium",
  data,
  children,
  ...restProps
}) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_Box_Box_cjs.Box,
  {
    width: "full",
    maxWidth: width,
    className: lib_components_ContentBlock_ContentBlock_css_cjs.marginAuto,
    ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
    children
  }
);
exports.ContentBlock = ContentBlock;
