"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_BackgroundContext_cjs = require("../Box/BackgroundContext.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Divider_Divider_css_cjs = require("./Divider.css.cjs");
const Divider = ({ weight = "regular" }) => {
  const lightness = lib_components_Box_BackgroundContext_cjs.useBackgroundLightness();
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { component: "span", display: "block", position: "relative", children: /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: "span",
      position: "absolute",
      width: "full",
      className: [
        lib_components_Divider_Divider_css_cjs.base,
        weight === "strong" ? lib_components_Divider_Divider_css_cjs.strong : lib_components_Divider_Divider_css_cjs.regular,
        lib_components_Divider_Divider_css_cjs.lightModeWeight[lightness.lightMode],
        lib_components_Divider_Divider_css_cjs.darkModeWeight[lightness.darkMode]
      ]
    }
  ) });
};
exports.Divider = Divider;
