"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_FieldLabel_FieldLabel_cjs = require("./FieldLabel.cjs");
const FieldLabel = ({
  id,
  htmlFor,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const fallbackFor = lib_playroom_utils_cjs.useFallbackId();
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_FieldLabel_FieldLabel_cjs.FieldLabel,
    {
      id: id ?? fallbackId,
      htmlFor: htmlFor ?? fallbackFor,
      ...restProps
    }
  );
};
exports.FieldLabel = FieldLabel;
