"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_FieldMessage_FieldMessage_cjs = require("./FieldMessage.cjs");
const FieldMessage = ({
  id,
  tone,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_FieldMessage_FieldMessage_cjs.FieldMessage,
    {
      id: id ?? fallbackId,
      tone: tone && lib_components_FieldMessage_FieldMessage_cjs.tones.indexOf(tone) > -1 ? tone : void 0,
      ...restProps
    }
  );
};
exports.FieldMessage = FieldMessage;
