"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_cleanSpaceValue_cjs = require("../../playroom/cleanSpaceValue.cjs");
const lib_components_Inline_Inline_cjs = require("./Inline.cjs");
const Inline = ({
  space,
  align,
  alignY,
  component,
  ...restProps
}) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_Inline_Inline_cjs.Inline,
  {
    space: lib_playroom_cleanSpaceValue_cjs.cleanSpaceValue(space) || "none",
    align: typeof align !== "boolean" ? align : void 0,
    alignY: typeof alignY !== "boolean" ? alignY : void 0,
    component: component && lib_components_Inline_Inline_cjs.validInlineComponents.indexOf(component) > -1 ? component : void 0,
    ...restProps
  }
);
exports.Inline = Inline;
