import { jsx } from "react/jsx-runtime";
import { cleanSpaceValue } from "../../playroom/cleanSpaceValue.mjs";
import { Inline as Inline$1, validInlineComponents } from "./Inline.mjs";
const Inline = ({
  space,
  align,
  alignY,
  component,
  ...restProps
}) => /* @__PURE__ */ jsx(
  Inline$1,
  {
    space: cleanSpaceValue(space) || "none",
    align: typeof align !== "boolean" ? align : void 0,
    alignY: typeof alignY !== "boolean" ? alignY : void 0,
    component: component && validInlineComponents.indexOf(component) > -1 ? component : void 0,
    ...restProps
  }
);
export {
  Inline
};
