"use strict";
const jsxRuntime = require("react/jsx-runtime");
const clsx = require("clsx");
const React = require("react");
const lib_css_atoms_atoms_cjs = require("../../css/atoms/atoms.cjs");
const lib_components_BraidProvider_BraidProvider_cjs = require("../BraidProvider/BraidProvider.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const clsx__default = /* @__PURE__ */ _interopDefaultCompat(clsx);
const Link = React.forwardRef(
  ({ href, className, data, ...restProps }, ref) => {
    const LinkComponent = lib_components_BraidProvider_BraidProvider_cjs.useLinkComponent(ref);
    return /* @__PURE__ */ jsxRuntime.jsx(
      LinkComponent,
      {
        ref,
        href,
        className: clsx__default.default(lib_css_atoms_atoms_cjs.atoms({ reset: "a" }), className),
        ...restProps,
        ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: false })
      }
    );
  }
);
Link.displayName = "Link";
exports.Link = Link;
