"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_cleanSpaceValue_cjs = require("../../playroom/cleanSpaceValue.cjs");
const lib_components_List_List_cjs = require("./List.cjs");
const lib_components_icons_IconClear_IconClear_cjs = require("../icons/IconClear/IconClear.cjs");
const List = ({ space, ...props }) => {
  const cleanSpace = lib_playroom_cleanSpaceValue_cjs.cleanSpaceValue(space);
  if (props.type === "icon" && (!("icon" in props) || !props.icon)) {
    return /* @__PURE__ */ jsxRuntime.jsx(lib_components_List_List_cjs.List, { ...props, space: cleanSpace, icon: /* @__PURE__ */ jsxRuntime.jsx(lib_components_icons_IconClear_IconClear_cjs.IconClear, {}) });
  }
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_List_List_cjs.List, { space: cleanSpace, ...props });
};
exports.List = List;
