"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_MenuItem_useMenuItem_cjs = require("./useMenuItem.cjs");
const MenuItem = ({
  children,
  onClick,
  data,
  tone,
  badge,
  icon,
  id
}) => {
  const { menuItemProps, MenuItemChildren } = lib_components_MenuItem_useMenuItem_cjs.useMenuItem({
    tone,
    onClick,
    data,
    id
  });
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { ...menuItemProps, component: "button", type: "button", children: /* @__PURE__ */ jsxRuntime.jsx(MenuItemChildren, { tone, icon, badge, children }) });
};
MenuItem.__isMenuItem__ = true;
exports.MenuItem = MenuItem;
