"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Link_Link_cjs = require("../Link/Link.cjs");
const lib_components_MenuItem_useMenuItem_cjs = require("./useMenuItem.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const MenuItemLink = ({
  href,
  target,
  rel,
  onClick,
  tone,
  data,
  children,
  badge,
  icon,
  id
}) => {
  const { menuItemProps, MenuItemChildren } = lib_components_MenuItem_useMenuItem_cjs.useMenuItem({
    displayName: "MenuItemLink",
    onClick,
    tone,
    data,
    id
  });
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: lib_components_Link_Link_cjs.Link,
      ...menuItemProps,
      href,
      target,
      rel,
      children: /* @__PURE__ */ jsxRuntime.jsx(MenuItemChildren, { tone, icon, badge, children })
    }
  );
};
MenuItemLink.__isMenuItem__ = true;
exports.MenuItemLink = MenuItemLink;
