"use strict";
const jsxRuntime = require("react/jsx-runtime");
const assert = require("assert");
const React = require("react");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Divider_Divider_cjs = require("../Divider/Divider.cjs");
const lib_components_MenuRenderer_MenuRendererContext_cjs = require("../MenuRenderer/MenuRendererContext.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const assert__default = /* @__PURE__ */ _interopDefaultCompat(assert);
const MenuItemDivider = () => {
  assert__default.default(
    React.useContext(lib_components_MenuRenderer_MenuRendererContext_cjs.MenuRendererContext),
    "MenuItemDivider must be rendered within a menu component. See the documentation for correct usage: https://seek-oss.github.io/braid-design-system/components/MenuItemDivider"
  );
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { paddingY: "xxsmall", children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_Divider_Divider_cjs.Divider, {}) });
};
MenuItemDivider.__isMenuItem__ = true;
exports.MenuItemDivider = MenuItemDivider;
