"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_playroomState_cjs = require("../../playroom/playroomState.cjs");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_MonthPicker_MonthPicker_cjs = require("./MonthPicker.cjs");
const MonthPicker = ({
  id,
  stateName,
  value,
  onChange,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const [state, handleChange] = lib_playroom_playroomState_cjs.useFallbackState(
    stateName,
    value,
    onChange,
    {}
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_MonthPicker_MonthPicker_cjs.MonthPicker,
    {
      id: id ?? fallbackId,
      value: state,
      onChange: handleChange,
      ...restProps
    }
  );
};
exports.MonthPicker = MonthPicker;
