import { jsx } from "react/jsx-runtime";
import { useFallbackId } from "../../playroom/utils.mjs";
import { OverflowMenu as OverflowMenu$1 } from "./OverflowMenu.mjs";
const OverflowMenu = ({ id, ...restProps }) => {
  const fallbackId = useFallbackId();
  return /* @__PURE__ */ jsx(OverflowMenu$1, { id: id ?? fallbackId, ...restProps });
};
export {
  OverflowMenu
};
