"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_cleanSpaceValue_cjs = require("../../playroom/cleanSpaceValue.cjs");
const lib_components_Stack_Stack_cjs = require("./Stack.cjs");
const Stack = ({
  space,
  align,
  component,
  ...restProps
}) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_Stack_Stack_cjs.Stack,
  {
    space: lib_playroom_cleanSpaceValue_cjs.cleanSpaceValue(space) || "none",
    align: typeof align !== "boolean" ? align : void 0,
    component: component && lib_components_Stack_Stack_cjs.validStackComponents.indexOf(component) > -1 ? component : void 0,
    ...restProps
  }
);
exports.Stack = Stack;
