import { jsx } from "react/jsx-runtime";
import { cleanSpaceValue } from "../../playroom/cleanSpaceValue.mjs";
import { Stack as Stack$1, validStackComponents } from "./Stack.mjs";
const Stack = ({
  space,
  align,
  component,
  ...restProps
}) => /* @__PURE__ */ jsx(
  Stack$1,
  {
    space: cleanSpaceValue(space) || "none",
    align: typeof align !== "boolean" ? align : void 0,
    component: component && validStackComponents.indexOf(component) > -1 ? component : void 0,
    ...restProps
  }
);
export {
  Stack
};
