"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_css_typography_css_cjs = require("../../css/typography.css.cjs");
const Strong = ({ children, data, id, ...restProps }) => /* @__PURE__ */ jsxRuntime.jsx(
  "strong",
  {
    className: lib_css_typography_css_cjs.fontWeight.strong,
    id,
    ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
    children
  }
);
exports.Strong = Strong;
