import { jsx } from "react/jsx-runtime";
import { useFallbackId } from "../../playroom/utils.mjs";
import { TooltipRenderer as TooltipRenderer$1 } from "./TooltipRenderer.mjs";
const TooltipRenderer = ({
  id,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  return /* @__PURE__ */ jsx(TooltipRenderer$1, { id: id ?? fallbackId, ...restProps });
};
export {
  TooltipRenderer
};
