"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconArrow_IconArrowSvg_cjs = require("./IconArrowSvg.cjs");
const lib_components_icons_IconArrow_IconArrow_css_cjs = require("./IconArrow.css.cjs");
const IconArrow = ({ direction = "up", ...props }) => {
  const { className, ...iconProps } = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: lib_components_icons_IconArrow_IconArrowSvg_cjs.IconArrowSvg,
      className: [
        lib_components_icons_IconArrow_IconArrow_css_cjs.root,
        className,
        {
          [lib_components_icons_IconArrow_IconArrow_css_cjs.rotate]: direction === "right" || direction === "left",
          [lib_components_icons_IconArrow_IconArrow_css_cjs.flip]: direction === "down",
          [lib_components_icons_IconArrow_IconArrow_css_cjs.mirror]: direction === "left"
        }
      ],
      ...iconProps
    }
  );
};
exports.IconArrow = IconArrow;
