import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconCompanySvg } from "./IconCompanySvg.mjs";
const IconCompany = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconCompanySvg, ...iconProps });
};
export {
  IconCompany
};
