import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconCreditCardSvg } from "./IconCreditCardSvg.mjs";
const IconCreditCard = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconCreditCardSvg, ...iconProps });
};
export {
  IconCreditCard
};
