import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconDateSvg } from "./IconDateSvg.mjs";
const IconDate = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconDateSvg, ...iconProps });
};
export {
  IconDate
};
