import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconDesktopSvg } from "./IconDesktopSvg.mjs";
const IconDesktop = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconDesktopSvg, ...iconProps });
};
export {
  IconDesktop
};
