import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconInvoiceSvg } from "./IconInvoiceSvg.mjs";
const IconInvoice = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconInvoiceSvg, ...iconProps });
};
export {
  IconInvoice
};
