import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconMobileSvg } from "./IconMobileSvg.mjs";
const IconMobile = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconMobileSvg, ...iconProps });
};
export {
  IconMobile
};
