import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconMoneySvg } from "./IconMoneySvg.mjs";
const IconMoney = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconMoneySvg, ...iconProps });
};
export {
  IconMoney
};
