import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconNotificationSvg } from "./IconNotificationSvg.mjs";
const IconNotification = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconNotificationSvg, ...iconProps });
};
export {
  IconNotification
};
