import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconOverflowSvg } from "./IconOverflowSvg.mjs";
const IconOverflow = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconOverflowSvg, ...iconProps });
};
export {
  IconOverflow
};
