"use strict";
const jsxRuntime = require("react/jsx-runtime");
const IconOverflowSvg = ({ title, titleId, ...props }) => /* @__PURE__ */ jsxRuntime.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    xmlSpace: "preserve",
    focusable: "false",
    fill: "currentColor",
    width: 16,
    height: 16,
    "aria-labelledby": titleId,
    ...props,
    children: [
      title ? /* @__PURE__ */ jsxRuntime.jsx("title", { id: titleId, children: title }) : null,
      /* @__PURE__ */ jsxRuntime.jsx("circle", { cx: 12, cy: 4, r: 2 }),
      /* @__PURE__ */ jsxRuntime.jsx("circle", { cx: 12, cy: 20, r: 2 }),
      /* @__PURE__ */ jsxRuntime.jsx("circle", { cx: 12, cy: 12, r: 2 })
    ]
  }
);
exports.IconOverflowSvg = IconOverflowSvg;
