import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconPersonVerifiedSvg } from "./IconPersonVerifiedSvg.mjs";
const IconPersonVerified = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconPersonVerifiedSvg, ...iconProps });
};
export {
  IconPersonVerified
};
