import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconProfileSvg } from "./IconProfileSvg.mjs";
const IconProfile = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconProfileSvg, ...iconProps });
};
export {
  IconProfile
};
