import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconRecommendedSvg } from "./IconRecommendedSvg.mjs";
const IconRecommended = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconRecommendedSvg, ...iconProps });
};
export {
  IconRecommended
};
