import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconStatisticsSvg } from "./IconStatisticsSvg.mjs";
const IconStatistics = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconStatisticsSvg, ...iconProps });
};
export {
  IconStatistics
};
