import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconTagSvg } from "./IconTagSvg.mjs";
const IconTag = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconTagSvg, ...iconProps });
};
export {
  IconTag
};
