"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconThumb_IconThumbSvg_cjs = require("./IconThumbSvg.cjs");
const lib_components_icons_IconThumb_IconThumb_css_cjs = require("./IconThumb.css.cjs");
const IconThumb = ({ direction = "up", ...props }) => {
  const { className, ...iconProps } = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: lib_components_icons_IconThumb_IconThumbSvg_cjs.IconThumbSvg,
      className: [
        lib_components_icons_IconThumb_IconThumb_css_cjs.root,
        className,
        {
          [lib_components_icons_IconThumb_IconThumb_css_cjs.down]: direction === "down"
        }
      ],
      ...iconProps
    }
  );
};
exports.IconThumb = IconThumb;
