import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconVideoSvg } from "./IconVideoSvg.mjs";
const IconVideo = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconVideoSvg, ...iconProps });
};
export {
  IconVideo
};
