"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconVisibility_IconVisibilitySvg_cjs = require("./IconVisibilitySvg.cjs");
const lib_components_icons_IconVisibility_IconVisibilityHiddenSvg_cjs = require("./IconVisibilityHiddenSvg.cjs");
const IconVisibility = ({ hidden, ...props }) => {
  const iconProps = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: hidden ? lib_components_icons_IconVisibility_IconVisibilityHiddenSvg_cjs.IconVisibilityHiddenSvg : lib_components_icons_IconVisibility_IconVisibilitySvg_cjs.IconVisibilitySvg,
      ...iconProps
    }
  );
};
exports.IconVisibility = IconVisibility;
