import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconWorkExperienceSvg } from "./IconWorkExperienceSvg.mjs";
const IconWorkExperience = (props) => {
  const iconProps = useIcon(props, {
    verticalCorrection: {
      uppercase: "up",
      lowercase: "up"
    }
  });
  return /* @__PURE__ */ jsx(Box, { component: IconWorkExperienceSvg, ...iconProps });
};
export {
  IconWorkExperience
};
