"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_private_Overlay_Overlay_cjs = require("../Overlay/Overlay.cjs");
const boxShadowForVariant = {
  default: "borderField",
  disabled: "borderNeutralLight",
  focus: "outlineFocus",
  formAccent: "borderFormAccent",
  critical: "borderCritical"
};
const FieldOverlay = ({ variant, ...restProps }) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_private_Overlay_Overlay_cjs.Overlay,
  {
    component: "span",
    borderRadius: "standard",
    boxShadow: boxShadowForVariant[variant],
    transition: "fast",
    ...restProps
  }
);
exports.FieldOverlay = FieldOverlay;
