"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_components_private_hideFocusRings_hideFocusRings_css_cjs = require("../hideFocusRings/hideFocusRings.css.cjs");
const Overlay = ({
  component,
  zIndex,
  background,
  borderRadius,
  boxShadow,
  transition,
  visible = false,
  onlyVisibleForKeyboardNavigation = false,
  className,
  children
}) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_Box_Box_cjs.Box,
  {
    component,
    position: "absolute",
    zIndex,
    pointerEvents: "none",
    background,
    borderRadius,
    boxShadow,
    transition,
    inset: 0,
    opacity: !visible ? 0 : void 0,
    className: [
      onlyVisibleForKeyboardNavigation ? lib_components_private_hideFocusRings_hideFocusRings_css_cjs.hideFocusRingsClassName : null,
      className
    ],
    children
  }
);
exports.Overlay = Overlay;
