"use strict";
const lib_css_breakpoints_cjs = require("../../css/breakpoints.cjs");
function resolveResponsiveObject(breakpointName, value) {
  let resolvedValue = null;
  for (const currentBreakpointName of lib_css_breakpoints_cjs.breakpointNames) {
    const valueForBreakpoint = value[currentBreakpointName];
    if (valueForBreakpoint !== void 0) {
      resolvedValue = valueForBreakpoint;
    }
    if (breakpointName === currentBreakpointName) {
      return resolvedValue;
    }
  }
  return resolvedValue;
}
exports.resolveResponsiveObject = resolveResponsiveObject;
