"use strict";
const lib_css_reset_reset_css_cjs = require("../reset/reset.css.cjs");
const lib_css_atoms_sprinkles_css_cjs = require("./sprinkles.css.cjs");
const atoms = ({ reset, ...rest }) => {
  if (!reset) {
    return lib_css_atoms_sprinkles_css_cjs.sprinkles(rest);
  }
  const elementReset = lib_css_reset_reset_css_cjs.element[reset];
  const sprinklesClasses = lib_css_atoms_sprinkles_css_cjs.sprinkles(rest);
  return `${lib_css_reset_reset_css_cjs.base}${elementReset ? ` ${elementReset}` : ""}${sprinklesClasses ? ` ${sprinklesClasses}` : ""}`;
};
exports.atoms = atoms;
