import { snippets as snippets$1 } from "./snippets/Accordion.mjs";
import { snippets as snippets$2 } from "./snippets/Actions.mjs";
import { snippets as snippets$3 } from "./snippets/Alert.mjs";
import { snippets as snippets$4 } from "./snippets/Autosuggest.mjs";
import { snippets as snippets$5 } from "./snippets/Badge.mjs";
import { snippets as snippets$6 } from "./snippets/Bleed.mjs";
import { snippets as snippets$7 } from "./snippets/Button.mjs";
import { snippets as snippets$8 } from "./snippets/ButtonIcon.mjs";
import { snippets as snippets$9 } from "./snippets/Card.mjs";
import { snippets as snippets$a } from "./snippets/Checkbox.mjs";
import { snippets as snippets$b } from "./snippets/Columns.mjs";
import { snippets as snippets$c } from "./snippets/ContentBlock.mjs";
import { snippets as snippets$d } from "./snippets/Dialog.mjs";
import { snippets as snippets$e } from "./snippets/Disclosure.mjs";
import { snippets as snippets$f } from "./snippets/Divider.mjs";
import { snippets as snippets$g } from "./snippets/Drawer.mjs";
import { snippets as snippets$h } from "./snippets/Dropdown.mjs";
import { snippets as snippets$i } from "./snippets/FieldLabel.mjs";
import { snippets as snippets$j } from "./snippets/FieldMessage.mjs";
import { snippets as snippets$k } from "./snippets/Heading.mjs";
import { snippets as snippets$l } from "./snippets/Inline.mjs";
import { snippets as snippets$m } from "./snippets/List.mjs";
import { snippets as snippets$n } from "./snippets/Loader.mjs";
import { snippets as snippets$o } from "./snippets/MonthPicker.mjs";
import { snippets as snippets$p } from "./snippets/Notice.mjs";
import { snippets as snippets$q } from "./snippets/OverflowMenu.mjs";
import { snippets as snippets$r } from "./snippets/Page.mjs";
import { snippets as snippets$s } from "./snippets/PageBlock.mjs";
import { snippets as snippets$t } from "./snippets/Pagination.mjs";
import { snippets as snippets$u } from "./snippets/PasswordField.mjs";
import { snippets as snippets$v } from "./snippets/RadioGroup.mjs";
import { snippets as snippets$w } from "./snippets/Rating.mjs";
import { snippets as snippets$x } from "./snippets/Secondary.mjs";
import { snippets as snippets$y } from "./snippets/Stack.mjs";
import { snippets as snippets$z } from "./snippets/Stepper.mjs";
import { snippets as snippets$A } from "./snippets/Strong.mjs";
import { snippets as snippets$B } from "./snippets/Tabs.mjs";
import { snippets as snippets$C } from "./snippets/Tag.mjs";
import { snippets as snippets$D } from "./snippets/Text.mjs";
import { snippets as snippets$E } from "./snippets/TextDropdown.mjs";
import { snippets as snippets$F } from "./snippets/TextField.mjs";
import { snippets as snippets$G } from "./snippets/TextLink.mjs";
import { snippets as snippets$H } from "./snippets/Textarea.mjs";
import { snippets as snippets$I } from "./snippets/Tiles.mjs";
import { snippets as snippets$J } from "./snippets/Toggle.mjs";
import { snippets as snippets$K } from "./snippets/TooltipRenderer.mjs";
const snippets = Object.entries({
  Accordion: snippets$1,
  Actions: snippets$2,
  Alert: snippets$3,
  Autosuggest: snippets$4,
  Badge: snippets$5,
  Bleed: snippets$6,
  Button: snippets$7,
  ButtonIcon: snippets$8,
  Card: snippets$9,
  Checkbox: snippets$a,
  Columns: snippets$b,
  ContentBlock: snippets$c,
  Dialog: snippets$d,
  Disclosure: snippets$e,
  Divider: snippets$f,
  Drawer: snippets$g,
  Dropdown: snippets$h,
  FieldLabel: snippets$i,
  FieldMessage: snippets$j,
  Heading: snippets$k,
  Inline: snippets$l,
  List: snippets$m,
  Loader: snippets$n,
  MonthPicker: snippets$o,
  Notice: snippets$p,
  OverflowMenu: snippets$q,
  Page: snippets$r,
  PageBlock: snippets$s,
  Pagination: snippets$t,
  PasswordField: snippets$u,
  RadioGroup: snippets$v,
  Rating: snippets$w,
  Secondary: snippets$x,
  Stack: snippets$y,
  Stepper: snippets$z,
  Strong: snippets$A,
  Tabs: snippets$B,
  Tag: snippets$C,
  Text: snippets$D,
  TextDropdown: snippets$E,
  TextField: snippets$F,
  TextLink: snippets$G,
  Textarea: snippets$H,
  Tiles: snippets$I,
  Toggle: snippets$J,
  TooltipRenderer: snippets$K
}).map(
  ([group, snippets2]) => snippets2.map((snippet) => ({
    ...snippet,
    group
  }))
).flat();
export {
  snippets
};
