"use strict";
const snippets = [{
  name: "With multiple buttons",
  code: '<Actions>\n        <Button>Submit</Button>\n        <Button variant="transparent">Cancel</Button>\n      </Actions>'
}, {
  name: "With a branded action",
  code: '<Actions>\n        <Button tone="brandAccent">Submit</Button>\n        <Button variant="transparent">Cancel</Button>\n      </Actions>'
}, {
  name: "With a destructive action",
  code: '<Actions>\n        <Button tone="critical" icon={<IconDelete />}>\n          Delete\n        </Button>\n        <Button variant="transparent">Cancel</Button>\n      </Actions>'
}, {
  name: "Small size",
  code: '<Actions size="small">\n        <Button>Button 1</Button>\n        <Button>Button 2</Button>\n        <Button variant="transparent">Button 3</Button>\n      </Actions>'
}];
exports.snippets = snippets;
