const snippets = [{
  name: "With Heading",
  code: '<Card>\n        <Stack space="gutter">\n          <Heading level="3">Heading</Heading>\n          <Text>Text</Text>\n        </Stack>\n      </Card>'
}, {
  name: "With promote tone",
  code: '<Card tone="promote">\n        <Stack space="gutter">\n          <Placeholder height={200} />\n        </Stack>\n      </Card>'
}, {
  name: "With formAccent tone",
  code: '<Card tone="formAccent">\n        <Stack space="gutter">\n          <Placeholder height={200} />\n        </Stack>\n      </Card>'
}, {
  name: "With rounded corners",
  code: '<Card rounded>\n        <Stack space="gutter">\n          <Placeholder height={200} />\n        </Stack>\n      </Card>'
}, {
  name: "With Overflow Menu",
  code: '<Card>\n        <Stack space="gutter">\n          <Columns space="gutter">\n            <Column>\n              <Heading level="3">Heading</Heading>\n            </Column>\n            <Column width="content">\n              <OverflowMenu label="Options">\n                <MenuItem>Menu Item</MenuItem>\n              </OverflowMenu>\n            </Column>\n          </Columns>\n          <Text>Text</Text>\n        </Stack>\n      </Card>'
}];
export {
  snippets
};
