"use strict";
const snippets = [{
  name: "Standard",
  code: '<MonthPicker label="Month" />'
}, {
  name: "With additional labels",
  code: '<MonthPicker\n  label="Label"\n  secondaryLabel="optional"\n  tertiaryLabel={\n  <TextLink href="#" icon={<IconHelp />}>\n            Help\n          </TextLink>} />'
}, {
  name: "With a description",
  code: '<MonthPicker\n  label="Label"\n  description="More detailed description of field." />'
}, {
  name: "With a critical message",
  code: '<MonthPicker label="Month" tone="critical" message="Critical message" />'
}, {
  name: "With a positive message",
  code: '<MonthPicker label="Month" tone="positive" message="Positive message" />'
}, {
  name: "With a neutral message",
  code: '<MonthPicker label="Month" tone="neutral" message="Neutral message" />'
}, {
  name: "With custom months and years",
  code: `<MonthPicker
  label="Started"
  monthLabel="MM"
  yearLabel="YYYY"
  monthNames={[
  '01',
  '02',
  '03',
  '04',
  '05',
  '06',
  '07',
  '08',
  '09',
  '10',
  '11',
  '12']} />`
}];
exports.snippets = snippets;
