const snippets = [{
  name: "Standard",
  code: '<PasswordField label="Password" />'
}, {
  name: "With additional labels",
  code: '<PasswordField\n  label="Password"\n  secondaryLabel="optional"\n  tertiaryLabel={<TextLink href="#">Forgot password?</TextLink>} />'
}, {
  name: "With a description",
  code: '<PasswordField\n  label="Label"\n  description="More detailed description of field." />'
}, {
  name: "With a critical message",
  code: '<PasswordField\n  label="Label"\n  tone="critical"\n  message="Critical message" />'
}, {
  name: "With a positive message",
  code: '<PasswordField\n  label="Label"\n  tone="positive"\n  message="Positive message" />'
}, {
  name: "With a neutral message",
  code: '<PasswordField label="Label" tone="neutral" message="Neutral message" />'
}];
export {
  snippets
};
