const snippets = [{
  name: "Standard",
  code: '<RadioGroup label="Label">\n        <RadioItem label="One" value="1" />\n        <RadioItem label="Two" value="2" />\n      </RadioGroup>'
}, {
  name: "With a critical message",
  code: '<RadioGroup label="Label" tone="critical" message="Critical message">\n        <RadioItem label="One" value="1" />\n        <RadioItem label="Two" value="2" />\n      </RadioGroup>'
}, {
  name: "With a description",
  code: '<RadioGroup label="Label" description="More details about options">\n        <RadioItem label="One" value="1" />\n        <RadioItem label="Two" value="2" />\n      </RadioGroup>'
}, {
  name: "With item-level descriptions",
  code: '<RadioGroup label="Label">\n        <RadioItem label="One" value="1" description="Description for item 1" />\n        <RadioItem label="Two" value="2" description="Description for item 2" />\n      </RadioGroup>'
}, {
  name: "With a Badge",
  code: '<RadioGroup label="Label">\n        <RadioItem label="One" value="1" />\n        <RadioItem\n    label="Two"\n    value="2"\n    badge={\n    <Badge tone="positive" weight="strong">\n              Badge\n            </Badge>} />\n\n\n      </RadioGroup>'
}, {
  name: "Small",
  code: '<RadioGroup label="Label" size="small">\n        <RadioItem label="One" value="1" />\n        <RadioItem label="Two" value="2" />\n      </RadioGroup>'
}, {
  name: "With nested content",
  code: '<RadioGroup label="Label">\n        <RadioItem label="One" value="1" />\n        <RadioItem label="Two" value="2">\n          <Placeholder height={100} />\n        </RadioItem>\n      </RadioGroup>'
}];
export {
  snippets
};
