const snippets = [{
  name: "Standard",
  code: '<Textarea label="Label" />'
}, {
  name: "With additional labels",
  code: '<Textarea\n  label="Label"\n  secondaryLabel="optional"\n  tertiaryLabel={\n  <TextLink href="#" icon={<IconHelp />}>\n            Help\n          </TextLink>} />'
}, {
  name: "With a description",
  code: '<Textarea\n  label="Label"\n  description="More detailed description of field." />'
}, {
  name: "With a critical message",
  code: '<Textarea label="Label" tone="critical" message="Critical message" />'
}, {
  name: "With a positive message",
  code: '<Textarea label="Label" tone="positive" message="Positive message" />'
}, {
  name: "With a neutral message",
  code: '<Textarea label="Label" tone="neutral" message="Neutral message" />'
}, {
  name: "With fixed height of 5 lines",
  code: '<Textarea label="Label" grow={false} lines={5} />'
}, {
  name: "With dynamic height, limited to 7 lines",
  code: '<Textarea label="Label" grow={true} lineLimit={7} />'
}, {
  name: "With character limit",
  code: '<Textarea\n  label="Label"\n  description="Character limit of 100"\n  characterLimit={100} />'
}, {
  name: "With a highlighted range",
  code: '<Textarea\n  label="Label"\n  description="Characters 11-20 are highlighted"\n  tone="critical"\n  message="Critical message"\n  highlightRanges={[{ start: 11, end: 20 }]} />'
}];
export {
  snippets
};
