"use strict";
const polished = require("polished");
const lib_color_palette_cjs = require("../../color/palette.cjs");
const lib_themes_baseTokens_apac_cjs = require("../baseTokens/apac.cjs");
const brandAccent = lib_color_palette_cjs.palette.seekPink["500"];
const brandAccentSoft = lib_color_palette_cjs.palette.seekPink["50"];
const tokens = lib_themes_baseTokens_apac_cjs.makeTokens({
  name: "apac",
  displayName: "APAC",
  brand: lib_color_palette_cjs.palette.seekBlue["500"],
  brandAccent,
  brandAccentLight: lib_color_palette_cjs.palette.seekPink["200"],
  brandAccentActive: polished.darken(0.05, brandAccent),
  brandAccentHover: polished.lighten(0.05, brandAccent),
  brandAccentSoft,
  brandAccentSoftActive: polished.darken(0.05, brandAccentSoft),
  brandAccentSoftHover: polished.darken(0.025, brandAccentSoft)
});
exports.tokens = tokens;
