"use strict";
const css = require("@vanilla-extract/css");
const lib_themes_vars_css_cjs = require("./vars.css.cjs");
const lib_themes_makeVanillaTheme_cjs = require("./makeVanillaTheme.cjs");
const lib_themes_makeRuntimeTokens_cjs = require("./makeRuntimeTokens.cjs");
const makeBraidTheme = (tokens) => ({
  ...lib_themes_makeRuntimeTokens_cjs.makeRuntimeTokens(tokens),
  vanillaTheme: css.createTheme(lib_themes_vars_css_cjs.vars, lib_themes_makeVanillaTheme_cjs.makeVanillaTheme(tokens), tokens.name)
});
exports.makeBraidTheme = makeBraidTheme;
