"use strict";
const fileScope = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const lib_themes_makeVanillaTheme_cjs = require("./makeVanillaTheme.cjs");
const lib_themes_docs_tokens_cjs = require("./docs/tokens.cjs");
fileScope.setFileScope("src/lib/themes/vars.css.ts", "braid-design-system");
const vars = css.createThemeContract(lib_themes_makeVanillaTheme_cjs.makeVanillaTheme(lib_themes_docs_tokens_cjs.tokens));
fileScope.endFileScope();
exports.vars = vars;
