"use strict";
const lib_css_responsiveStyle_cjs = require("../css/responsiveStyle.cjs");
const mapToProperty = (property, breakpoint) => (value) => {
  const styleRule = { [property]: value };
  return breakpoint ? lib_css_responsiveStyle_cjs.responsiveStyle({ [breakpoint]: styleRule }) : styleRule;
};
exports.mapToProperty = mapToProperty;
