import { responsiveStyle } from "../css/responsiveStyle.mjs";
const mapToProperty = (property, breakpoint) => (value) => {
  const styleRule = { [property]: value };
  return breakpoint ? responsiveStyle({ [breakpoint]: styleRule }) : styleRule;
};
export {
  mapToProperty
};
