"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Actions_ActionsContext_cjs = require("./ActionsContext.cjs");
const lib_components_Inline_Inline_cjs = require("../Inline/Inline.cjs");
const Actions = ({ size, data, children }) => {
  const contextValue = React.useMemo(() => ({ size }), [size]);
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Actions_ActionsContext_cjs.ActionsContext.Provider, { value: contextValue, children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_Inline_Inline_cjs.Inline, { collapseBelow: "tablet", space: "xsmall", data, children }) });
};
exports.Actions = Actions;
