"use strict";
const jsxRuntime = require("react/jsx-runtime");
const reactDom = require("react-dom");
const lib_components_Text_TextContext_cjs = require("../Text/TextContext.cjs");
const lib_components_BraidProvider_BraidThemeContext_cjs = require("../BraidProvider/BraidThemeContext.cjs");
const lib_components_BraidProvider_VanillaThemeContainer_cjs = require("../BraidProvider/VanillaThemeContainer.cjs");
const BraidPortal = ({ children, container }) => {
  const { vanillaTheme } = lib_components_BraidProvider_BraidThemeContext_cjs.useBraidTheme();
  return reactDom.createPortal(
    /* @__PURE__ */ jsxRuntime.jsx(lib_components_Text_TextContext_cjs.TextContext.Provider, { value: null, children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_BraidProvider_VanillaThemeContainer_cjs.VanillaThemeContainer, { theme: vanillaTheme, setDefaultTextTones: true, children }) }),
    container ?? document.body
  );
};
exports.BraidPortal = BraidPortal;
