"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_themes_index_cjs = require("../../themes/index.cjs");
const lib_components_BraidProvider_BraidProvider_cjs = require("../BraidProvider/BraidProvider.cjs");
const lib_components_BraidTestProvider_BraidTestProviderContext_cjs = require("./BraidTestProviderContext.cjs");
const lib_components_BraidProvider_BreakpointContext_cjs = require("../BraidProvider/BreakpointContext.cjs");
const BraidTestProvider = ({
  themeName = "wireframe",
  breakpoint = null,
  ...restProps
}) => /* @__PURE__ */ jsxRuntime.jsx(lib_components_BraidTestProvider_BraidTestProviderContext_cjs.BraidTestProviderContext.Provider, { value: true, children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_BraidProvider_BreakpointContext_cjs.breakpointContext.Provider, { value: breakpoint, children: /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_BraidProvider_BraidProvider_cjs.BraidProvider,
  {
    ...restProps,
    theme: lib_themes_index_cjs.themes[themeName],
    styleBody: void 0
  }
) }) });
exports.BraidTestProvider = BraidTestProvider;
