"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Button_Button_cjs = require("../Button/Button.cjs");
const lib_components_ButtonLink_ButtonLink_cjs = require("./ButtonLink.cjs");
const ButtonLink = React.forwardRef(
  ({ variant, ...restProps }, ref) => {
    const isValidVariant = variant && lib_components_Button_Button_cjs.buttonVariants.indexOf(variant) > -1;
    return /* @__PURE__ */ jsxRuntime.jsx(
      lib_components_ButtonLink_ButtonLink_cjs.ButtonLink,
      {
        ref,
        variant: isValidVariant ? variant : void 0,
        ...restProps
      }
    );
  }
);
ButtonLink.displayName = "ButtonLink";
exports.ButtonLink = ButtonLink;
