"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_cleanSpaceValue_cjs = require("../../playroom/cleanSpaceValue.cjs");
const lib_components_Columns_Columns_cjs = require("./Columns.cjs");
const lib_components_Columns_ColumnsContext_cjs = require("./ColumnsContext.cjs");
const Columns = ({
  space,
  align,
  alignY,
  component,
  ...restProps
}) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_Columns_Columns_cjs.Columns,
  {
    space: lib_playroom_cleanSpaceValue_cjs.cleanSpaceValue(space) || "none",
    align: typeof align !== "boolean" ? align : void 0,
    alignY: typeof alignY !== "boolean" ? alignY : void 0,
    component: component && lib_components_Columns_ColumnsContext_cjs.validColumnsComponents.indexOf(component) > -1 ? component : void 0,
    ...restProps
  }
);
exports.Columns = Columns;
