import { jsx } from "react/jsx-runtime";
import { cleanSpaceValue } from "../../playroom/cleanSpaceValue.mjs";
import { Columns as Columns$1 } from "./Columns.mjs";
import { validColumnsComponents } from "./ColumnsContext.mjs";
const Columns = ({
  space,
  align,
  alignY,
  component,
  ...restProps
}) => /* @__PURE__ */ jsx(
  Columns$1,
  {
    space: cleanSpaceValue(space) || "none",
    align: typeof align !== "boolean" ? align : void 0,
    alignY: typeof alignY !== "boolean" ? alignY : void 0,
    component: component && validColumnsComponents.indexOf(component) > -1 ? component : void 0,
    ...restProps
  }
);
export {
  Columns
};
