import { jsx } from "react/jsx-runtime";
import { cleanSpaceValue } from "../../playroom/cleanSpaceValue.mjs";
import { List as List$1 } from "./List.mjs";
import { IconClear } from "../icons/IconClear/IconClear.mjs";
const List = ({ space, ...props }) => {
  const cleanSpace = cleanSpaceValue(space);
  if (props.type === "icon" && (!("icon" in props) || !props.icon)) {
    return /* @__PURE__ */ jsx(List$1, { ...props, space: cleanSpace, icon: /* @__PURE__ */ jsx(IconClear, {}) });
  }
  return /* @__PURE__ */ jsx(List$1, { space: cleanSpace, ...props });
};
export {
  List
};
