"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_Radio_Radio_cjs = require("./Radio.cjs");
const Radio = ({
  id,
  checked,
  onChange,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const [fallbackChecked, setFallbackChecked] = React.useState(false);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Radio_Radio_cjs.Radio,
    {
      id: id ?? fallbackId,
      checked: checked ?? fallbackChecked,
      onChange: onChange ? onChange : (event) => setFallbackChecked(event.currentTarget.checked),
      ...restProps
    }
  );
};
exports.Radio = Radio;
