"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_Tabs_TabsProvider_cjs = require("./TabsProvider.cjs");
const lib_components_Tabs_Tabs_cjs = require("./Tabs.cjs");
const lib_components_Tabs_Tab_cjs = require("./Tab.cjs");
const TabsProvider = ({
  id,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Tabs_TabsProvider_cjs.TabsProvider, { id: id ?? fallbackId, ...restProps });
};
const Tabs = ({ label, ...restProps }) => /* @__PURE__ */ jsxRuntime.jsx(lib_components_Tabs_Tabs_cjs.Tabs, { label: "", ...restProps });
const Tab = ({ icon, ...restProps }) => /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_Tabs_Tab_cjs.Tab,
  {
    icon: typeof icon === "boolean" ? void 0 : icon,
    ...restProps
  }
);
Tab.__isTab__ = true;
exports.Tab = Tab;
exports.Tabs = Tabs;
exports.TabsProvider = TabsProvider;
