"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_Tag_Tag_cjs = require("./Tag.cjs");
const Tag = ({ icon, id, ...restProps }) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Tag_Tag_cjs.Tag,
    {
      id: id ?? fallbackId,
      icon: typeof icon !== "boolean" ? icon : void 0,
      ...restProps
    }
  );
};
exports.Tag = Tag;
