"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconBookmark_IconBookmarkSvg_cjs = require("./IconBookmarkSvg.cjs");
const lib_components_icons_IconBookmark_IconBookmarkActiveSvg_cjs = require("./IconBookmarkActiveSvg.cjs");
const IconBookmark = ({
  active = false,
  ...props
}) => {
  const iconProps = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: active ? lib_components_icons_IconBookmark_IconBookmarkActiveSvg_cjs.IconBookmarkActiveSvg : lib_components_icons_IconBookmark_IconBookmarkSvg_cjs.IconBookmarkSvg,
      ...iconProps
    }
  );
};
exports.IconBookmark = IconBookmark;
