"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconChevron_IconChevronSvg_cjs = require("./IconChevronSvg.cjs");
const lib_components_icons_IconChevron_IconChevron_css_cjs = require("./IconChevron.css.cjs");
const IconChevron = ({
  direction = "down",
  ...props
}) => {
  const { className, ...iconProps } = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: lib_components_icons_IconChevron_IconChevronSvg_cjs.IconChevronSvg,
      className: [
        lib_components_icons_IconChevron_IconChevron_css_cjs.root,
        className,
        {
          [lib_components_icons_IconChevron_IconChevron_css_cjs.up]: direction === "up",
          [lib_components_icons_IconChevron_IconChevron_css_cjs.left]: direction === "left",
          [lib_components_icons_IconChevron_IconChevron_css_cjs.right]: direction === "right"
        }
      ],
      ...iconProps
    }
  );
};
exports.IconChevron = IconChevron;
