import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconComposeSvg } from "./IconComposeSvg.mjs";
const IconCompose = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconComposeSvg, ...iconProps });
};
export {
  IconCompose
};
