import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconCriticalSvg } from "./IconCriticalSvg.mjs";
const IconCritical = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconCriticalSvg, ...iconProps });
};
export {
  IconCritical
};
