import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconEducationSvg } from "./IconEducationSvg.mjs";
const IconEducation = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconEducationSvg, ...iconProps });
};
export {
  IconEducation
};
