import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconEnlargeSvg } from "./IconEnlargeSvg.mjs";
import { IconEnlargeActiveSvg } from "./IconEnlargeActiveSvg.mjs";
const IconEnlarge = ({ active = false, ...props }) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(
    Box,
    {
      component: active ? IconEnlargeActiveSvg : IconEnlargeSvg,
      ...iconProps
    }
  );
};
export {
  IconEnlarge
};
