import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconGridSvg } from "./IconGridSvg.mjs";
const IconGrid = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconGridSvg, ...iconProps });
};
export {
  IconGrid
};
