"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const lib_components_icons_IconHeart_IconHeartSvg_cjs = require("./IconHeartSvg.cjs");
const lib_components_icons_IconHeart_IconHeartActiveSvg_cjs = require("./IconHeartActiveSvg.cjs");
const IconHeart = ({ active = false, ...props }) => {
  const iconProps = lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: active ? lib_components_icons_IconHeart_IconHeartActiveSvg_cjs.IconHeartActiveSvg : lib_components_icons_IconHeart_IconHeartSvg_cjs.IconHeartSvg,
      ...iconProps
    }
  );
};
exports.IconHeart = IconHeart;
