import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconHeartSvg } from "./IconHeartSvg.mjs";
import { IconHeartActiveSvg } from "./IconHeartActiveSvg.mjs";
const IconHeart = ({ active = false, ...props }) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(
    Box,
    {
      component: active ? IconHeartActiveSvg : IconHeartSvg,
      ...iconProps
    }
  );
};
export {
  IconHeart
};
