import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconMessageSvg } from "./IconMessageSvg.mjs";
const IconMessage = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconMessageSvg, ...iconProps });
};
export {
  IconMessage
};
