import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconPeopleSvg } from "./IconPeopleSvg.mjs";
const IconPeople = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconPeopleSvg, ...iconProps });
};
export {
  IconPeople
};
