import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconPhoneSvg } from "./IconPhoneSvg.mjs";
const IconPhone = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconPhoneSvg, ...iconProps });
};
export {
  IconPhone
};
