import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconRefreshSvg } from "./IconRefreshSvg.mjs";
const IconRefresh = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconRefreshSvg, ...iconProps });
};
export {
  IconRefresh
};
