import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconSettingsSvg } from "./IconSettingsSvg.mjs";
const IconSettings = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconSettingsSvg, ...iconProps });
};
export {
  IconSettings
};
