import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconStarSvg } from "./IconStarSvg.mjs";
import { IconStarActiveSvg } from "./IconStarActiveSvg.mjs";
const IconStar = ({ active = false, ...props }) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: active ? IconStarActiveSvg : IconStarSvg, ...iconProps });
};
export {
  IconStar
};
