import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconVisibilitySvg } from "./IconVisibilitySvg.mjs";
import { IconVisibilityHiddenSvg } from "./IconVisibilityHiddenSvg.mjs";
const IconVisibility = ({ hidden, ...props }) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(
    Box,
    {
      component: hidden ? IconVisibilityHiddenSvg : IconVisibilitySvg,
      ...iconProps
    }
  );
};
export {
  IconVisibility
};
