import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconZoomInSvg } from "./IconZoomInSvg.mjs";
const IconZoomIn = (props) => {
  const iconProps = useIcon(props);
  return /* @__PURE__ */ jsx(Box, { component: IconZoomInSvg, ...iconProps });
};
export {
  IconZoomIn
};
