"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Text_Text_cjs = require("../../Text/Text.cjs");
const getCharacterLimitStatus = ({
  characterLimit,
  value
}) => {
  const inputLength = String(value).length;
  if (inputLength < Math.ceil(characterLimit * 0.7 / 10) * 10) {
    return null;
  }
  const diff = characterLimit - inputLength;
  const valid = diff >= 0;
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Text_Text_cjs.Text, { size: "small", tone: valid ? "secondary" : "critical", children: diff });
};
exports.getCharacterLimitStatus = getCharacterLimitStatus;
