"use strict";
const React = require("react");
const lib_components_BraidProvider_BreakpointContext_cjs = require("../BraidProvider/BreakpointContext.cjs");
const lib_components_useResponsiveValue_resolveResponsiveObject_cjs = require("./resolveResponsiveObject.cjs");
const useResponsiveValue = () => {
  const breakpointName = React.useContext(lib_components_BraidProvider_BreakpointContext_cjs.breakpointContext);
  return function responsiveValue(value) {
    return breakpointName ? lib_components_useResponsiveValue_resolveResponsiveObject_cjs.resolveResponsiveObject(breakpointName, value) : null;
  };
};
exports.useResponsiveValue = useResponsiveValue;
