"use strict";
const lib_css_typography_css_cjs = require("./typography.css.cjs");
function textStyles({
  weight = "regular",
  size = "standard",
  tone = "neutral",
  baseline
}) {
  return [
    lib_css_typography_css_cjs.fontFamily,
    lib_css_typography_css_cjs.fontWeight[weight],
    lib_css_typography_css_cjs.tone[tone],
    (baseline ? lib_css_typography_css_cjs.textSizeTrimmed : lib_css_typography_css_cjs.textSizeUntrimmed)[size]
  ];
}
exports.textStyles = textStyles;
