"use strict";
const snippets = [{
  name: "Large",
  code: '<Accordion>\n        <AccordionItem label="Item 1">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 2">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 3">\n          <Placeholder height={100} />\n        </AccordionItem>\n      </Accordion>'
}, {
  name: "Large, without dividers",
  code: '<Accordion dividers={false}>\n        <AccordionItem label="Item 1">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 2">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 3">\n          <Placeholder height={100} />\n        </AccordionItem>\n      </Accordion>'
}, {
  name: "Standard",
  code: '<Accordion size="standard">\n        <AccordionItem label="Item 1">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 2">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 3">\n          <Placeholder height={100} />\n        </AccordionItem>\n      </Accordion>'
}, {
  name: "Standard, without dividers",
  code: '<Accordion size="standard" dividers={false}>\n        <AccordionItem label="Item 1">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 2">\n          <Placeholder height={100} />\n        </AccordionItem>\n        <AccordionItem label="Item 3">\n          <Placeholder height={100} />\n        </AccordionItem>\n      </Accordion>'
}, {
  name: "Large standalone item",
  code: '<AccordionItem label="Label">\n        <Placeholder height={100} />\n      </AccordionItem>'
}, {
  name: "Standard standalone item",
  code: '<AccordionItem label="Label" size="standard">\n        <Placeholder height={100} />\n      </AccordionItem>'
}, {
  name: "Standalone item with a badge",
  code: '<AccordionItem\n  label="Label"\n  badge={\n  <Badge tone="promote" weight="strong">\n            Badge\n          </Badge>}>\n\n\n        <Placeholder height={100} />\n      </AccordionItem>'
}];
exports.snippets = snippets;
