"use strict";
const snippets = [{
  name: "Standard",
  code: '<Checkbox label="Label" />'
}, {
  name: "Small",
  code: '<Checkbox label="Label" size="small" />'
}, {
  name: "With a critical message",
  code: '<Checkbox label="Label" tone="critical" message="Critical message" />'
}, {
  name: "With a description",
  code: '<Checkbox label="Label" description="Description" />'
}, {
  name: "With a Badge",
  code: '<Checkbox label="Label" badge={<Badge weight="strong">Badge</Badge>} />'
}, {
  name: "With nested content",
  code: '<Checkbox label="Label">\n        <Placeholder height={100} />\n      </Checkbox>'
}];
exports.snippets = snippets;
