"use strict";
const snippets = [{
  name: "Standard",
  code: '<Dialog title="Dialog Heading" open={true}>\n        <Placeholder width={250} height={100} />\n      </Dialog>'
}, {
  name: "With illustration",
  code: '<Dialog\n  title="Illustrated Dialog"\n  open={true}\n  illustration={\n  <Box style={{ height: 100, width: 100 }}>\n            <IconMail size="fill" />\n          </Box>}>\n\n\n        <Stack space="xlarge" align="center">\n          <Placeholder width="100%" height={100} />\n          <Inline space="small">\n            <Button>Got it</Button>\n            <Button variant="transparent">Cancel</Button>\n          </Inline>\n        </Stack>\n      </Dialog>'
}, {
  name: "Xsmall",
  code: '<Dialog title="Dialog Heading" width="xsmall" open={true}>\n        <Placeholder width="100%" height={100} />\n      </Dialog>'
}, {
  name: "Small",
  code: '<Dialog title="Dialog Heading" width="small" open={true}>\n        <Placeholder width="100%" height={100} />\n      </Dialog>'
}, {
  name: "Medium",
  code: '<Dialog title="Dialog Heading" width="medium" open={true}>\n        <Placeholder width="100%" height={100} />\n      </Dialog>'
}, {
  name: "Large",
  code: '<Dialog title="Dialog Heading" width="large" open={true}>\n        <Placeholder width="100%" height={100} />\n      </Dialog>'
}];
exports.snippets = snippets;
