const snippets = [{
  name: "2 Tabs",
  code: '<TabsProvider>\n        <Stack space="medium">\n          <Tabs>\n            <Tab>First</Tab>\n            <Tab>Second</Tab>\n          </Tabs>\n          <TabPanels>\n            <TabPanel>\n              <Placeholder label="First" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Second" height={200} />\n            </TabPanel>\n          </TabPanels>\n        </Stack>\n      </TabsProvider>'
}, {
  name: "2 Tabs with Badge",
  code: '<TabsProvider>\n        <Stack space="medium">\n          <Tabs>\n            <Tab>First</Tab>\n            <Tab badge={<Badge tone="positive">Badge</Badge>}>Second</Tab>\n          </Tabs>\n          <TabPanels>\n            <TabPanel>\n              <Placeholder label="First" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Second" height={200} />\n            </TabPanel>\n          </TabPanels>\n        </Stack>\n      </TabsProvider>'
}, {
  name: "2 Tabs (Centred)",
  code: '<TabsProvider>\n        <Stack space="medium">\n          <Tabs align="center">\n            <Tab>First</Tab>\n            <Tab>Second</Tab>\n          </Tabs>\n          <TabPanels>\n            <TabPanel>\n              <Placeholder label="First" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Second" height={200} />\n            </TabPanel>\n          </TabPanels>\n        </Stack>\n      </TabsProvider>'
}, {
  name: "3 Tabs",
  code: '<TabsProvider>\n        <Stack space="medium">\n          <Tabs>\n            <Tab>First</Tab>\n            <Tab>Second</Tab>\n            <Tab>Third</Tab>\n          </Tabs>\n          <TabPanels>\n            <TabPanel>\n              <Placeholder label="First" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Second" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Third" height={200} />\n            </TabPanel>\n          </TabPanels>\n        </Stack>\n      </TabsProvider>'
}, {
  name: "3 Tabs with Badge",
  code: '<TabsProvider>\n        <Stack space="medium">\n          <Tabs>\n            <Tab>First</Tab>\n            <Tab>Second</Tab>\n            <Tab badge={<Badge tone="positive">Badge</Badge>}>Third</Tab>\n          </Tabs>\n          <TabPanels>\n            <TabPanel>\n              <Placeholder label="First" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Second" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Third" height={200} />\n            </TabPanel>\n          </TabPanels>\n        </Stack>\n      </TabsProvider>'
}, {
  name: "3 Tabs (Centred)",
  code: '<TabsProvider>\n        <Stack space="medium">\n          <Tabs align="center">\n            <Tab>First</Tab>\n            <Tab>Second</Tab>\n            <Tab>Third</Tab>\n          </Tabs>\n          <TabPanels>\n            <TabPanel>\n              <Placeholder label="First" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Second" height={200} />\n            </TabPanel>\n            <TabPanel>\n              <Placeholder label="Third" height={200} />\n            </TabPanel>\n          </TabPanels>\n        </Stack>\n      </TabsProvider>'
}];
export {
  snippets
};
