"use strict";
const snippets = [{
  name: "Standard",
  code: '<TextField label="Label" />'
}, {
  name: "With additional labels",
  code: '<TextField\n  label="Label"\n  secondaryLabel="optional"\n  tertiaryLabel={\n  <TextLink href="#" icon={<IconHelp />}>\n            Help\n          </TextLink>} />'
}, {
  name: "With a description",
  code: '<TextField\n  label="Label"\n  description="More detailed description of field." />'
}, {
  name: "With an icon",
  code: '<TextField label="Label" icon={<IconSearch />} placeholder="Search" />'
}, {
  name: "With a prefix",
  code: '<TextField label="Label" prefix="Prefix" placeholder="Search" />'
}, {
  name: "With a critical message",
  code: '<TextField label="Label" tone="critical" message="Critical message" />'
}, {
  name: "With a positive message",
  code: '<TextField label="Label" tone="positive" message="Positive message" />'
}, {
  name: "With a neutral message",
  code: '<TextField label="Label" tone="neutral" message="Neutral message" />'
}];
exports.snippets = snippets;
