import { createTheme } from "@vanilla-extract/css";
import { vars } from "./vars.css.mjs";
import { makeVanillaTheme } from "./makeVanillaTheme.mjs";
import { makeRuntimeTokens } from "./makeRuntimeTokens.mjs";
const makeBraidTheme = (tokens) => ({
  ...makeRuntimeTokens(tokens),
  vanillaTheme: createTheme(vars, makeVanillaTheme(tokens), tokens.name)
});
export {
  makeBraidTheme
};
