"use strict";
const polished = require("polished");
const lib_color_palette_cjs = require("../../color/palette.cjs");
const lib_themes_baseTokens_apac_cjs = require("../baseTokens/apac.cjs");
const brandAccent = lib_color_palette_cjs.palette.seekBlue["500"];
const tokens = lib_themes_baseTokens_apac_cjs.makeTokens({
  name: "seekBusiness",
  displayName: "SEEK Business",
  brand: "#009fd4",
  brandAccent,
  brandAccentLight: polished.lighten(0.04, lib_color_palette_cjs.palette.seekBlue["300"]),
  brandAccentActive: polished.darken(0.05, brandAccent),
  brandAccentHover: polished.lighten(0.05, brandAccent),
  brandAccentSoft: polished.tint(0.925, brandAccent),
  brandAccentSoftActive: polished.tint(0.85, brandAccent),
  brandAccentSoftHover: polished.tint(0.9, brandAccent)
});
exports.tokens = tokens;
