"use strict";
const lib_css_atoms_sprinkles_css_cjs = require("../css/atoms/sprinkles.css.cjs");
const alignToFlexAlignLookup = {
  left: "flexStart",
  center: "center",
  right: "flexEnd"
};
const alignToFlexAlign = (align) => align ? lib_css_atoms_sprinkles_css_cjs.mapResponsiveValue(align, (value) => alignToFlexAlignLookup[value]) : void 0;
const alignYToFlexAlignLookup = {
  top: "flexStart",
  center: "center",
  bottom: "flexEnd"
};
const alignYToFlexAlign = (alignY) => alignY ? lib_css_atoms_sprinkles_css_cjs.mapResponsiveValue(alignY, (value) => alignYToFlexAlignLookup[value]) : void 0;
exports.alignToFlexAlign = alignToFlexAlign;
exports.alignYToFlexAlign = alignYToFlexAlign;
